This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 596820 - Incorrect grub entry inserted by preupgrade prevents anaconda from reading kickstart file
Incorrect grub entry inserted by preupgrade prevents anaconda from reading ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 11:05 EDT by Hassan Ibraheem
Modified: 2010-12-03 09:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:17:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hassan Ibraheem 2010-05-27 11:05:23 EDT
Description of problem:
I've just upgraded to Fedora 13 from 12 using preupgrade-cli, my /boot didn't have enough space, so install.img wasn't downloaded.
When I rebooted anaconda complained that it couldn't read the kickstart file.

The entry preupgrade inserted in grub menu was incorrect, missing a space:

title Upgrade to Fedora 13 (Goddard)
kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=*-*-*-*-*:/upgrade/ks.cfgstage2=http://*/pub/fedora/linux/releases/13/Fedora/i386/os/images/install.img
initrd /upgrade/initrd.img

The space between "ks.cfg" and "stage2" was omitted. 

I've added the space manually, and successfully upgraded.


How reproducible:
I've only ran preupgrade once and I didn't try to reproduce.
  
Actual results:
Anaconda couldn't read the kickstart file.

Expected results:
Anaconda should read the kickstart file correctly and start downloading install.img from the supplied url.
Comment 1 Richard Hughes 2010-05-27 11:34:34 EDT
commit d8e3b938bbcfd8bf6800ec13a36b2429b60d5d49
Author: James Laska <jlaska@redhat.com>
Date:   Thu May 27 15:48:54 2010 +0100

    Ensure there is a space in the grub line when using preupgrade-cli
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>
Comment 2 Bug Zapper 2010-11-03 10:01:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Juha Tuomala 2010-11-07 06:43:56 EST
I just witnessed this same with f13 -> f14 using preupgrade-cli.

Adding the space there fixed problem.
Comment 4 Bug Zapper 2010-12-03 09:17:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.